aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-11 05:46:45 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-11 05:46:45 +0000
commit650c11aa0b00af727882f95b03c5efa794435d02 (patch)
tree4658b668a09459a628689dcc800f7fbf2d2f8f23
parentf00ea22784d28a92b14dd5b570eda217c7d9a462 (diff)
downloadaports-650c11aa0b00af727882f95b03c5efa794435d02.tar.gz
aports-650c11aa0b00af727882f95b03c5efa794435d02.tar.bz2
aports-650c11aa0b00af727882f95b03c5efa794435d02.tar.xz
main/busybox: honor CPPFLAGS for bbsuid compiling
does not affect current builds, so pkgrel not bumped. will help with arm port.
-rw-r--r--main/busybox/APKBUILD2
1 files changed, 1 insertions, 1 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index c4727c0a90..6137316d86 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -46,7 +46,7 @@ prepare() {
build() {
# build bbsuid
msg "Building bbsuid"
- ${CC:-${CROSS_COMPILE}-gcc} ${CFLAGS} ${LDFLAGS} "$srcdir"/bbsuid.c -o "$_dyndir"/bbsuid || return 1
+ ${CC:-${CROSS_COMPILE}-gcc} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} "$srcdir"/bbsuid.c -o "$_dyndir"/bbsuid || return 1
cd "$_staticdir"
msg "Building static busybox"